@import url(https://fonts.googleapis.com/css?family=Libre+Franklin:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic);

@import url(https://fonts.googleapis.com/css?family=Inter:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic);

/* Variables ----------------------------------------------------------------------------------- */

:root {
  --yellow100: hsl(47, 100%, 47%);
  --yellow200: hsl(47, 84%, 63%);
  --black100: hsl(0, 0%, 0%);
  --black200: hsl(60, 15%, 16%);
  --white100: hsl(0, 0%, 100%);
  --white200: hsl(0, 12%, 97%);
  --blue: hsl(190, 13%, 63%);

  --bs01: 0 2px 30px 0 hsla(0, 0%, 0%, 0.051);

  --ff-heading: 'Libre Franklin', sans-serif;
  --ff-base: 'Inter', sans-serif;
}

/* Reset --------------------------------------------------------------------------------------- */

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

img,
picture,
figure,
video,
canvas,
svg {
  max-width: 100%;
  height: auto;
  display: block;
}

input,
button,
textarea,
address {
  font: inherit;
}

ul,
ol {
  list-style: none;
}

body {
  width: min(100%, 160rem);
  font-family: var(--ff-base);
  font-weight: 300;
  font-size: clamp(0.875rem, 0.855rem + 0.091vw, 1rem);
  color: var(--black100);
  line-height: 1.8;

  border-inline: clamp(0.5rem, 0.33643rem + 0.727vw, 1.5rem) solid var(--yellow100);
}

/* Typography ---------------------------------------------------------------------------------- */

h1,
h2,
h3 {
  margin-block-end: 0.75em;
  text-wrap: balance;
  font-family: var(--ff-heading);
  font-weight: 800;
  line-height: 1.25;
  letter-spacing: -0.04em;
  color: var(--black200);
}

h1 {
  font-size: clamp(1.75rem, 1.6273rem + 0.5455vw, 2.5rem);
}

h2 {
  margin-block-end: 0;
  font-size: clamp(1.5rem, 1.4182rem + 0.3636vw, 2rem);
}

h3 {
  font-size: clamp(1.25rem, 1.2091rem + 0.1818vw, 1.5rem);
  font-weight: 600;
}

p {
  margin-block-end: 1rem;
}

a {
  text-decoration: none;
  color: var(--black200);
}

a:is(:hover, a.active) {
  color: var(--white100);
}

a.active {
  font-weight: 700;
}

a[class$='link']::after {
  content: url(../images/icons/link.svg);
  width: 15px;
  height: 15px;
  margin-inline-start: 0.25rem;

  display: inline-block;
}

.link {
  font-weight: bold;
}

.link:hover {
  color: var(--black200);
  text-decoration: underline;
}

strong {
  font-weight: 700;
}

.list li {
  list-style-type: square;
  margin-inline-start: 1.5rem;
}

.list li:last-child {
  margin-block-end: 1rem;
}

li::marker {
  color: var(--yellow100);
}

/* Breadcrumbs --------------------------------------------------------------------------------- */

ul.breadcrumb {
  width: auto;
  padding: clamp(0.5rem, 0.4182rem + 0.3636vw, 1rem);
  background-color: var(--white100);
  border: 1px solid var(--white200);
  box-shadow: var(--bs01);
  list-style: none;

  position: sticky;
  top: 7rem;
  left: 0;
  z-index: 665;
}

ul.breadcrumb li {
  display: inline;
  font-size: clamp(0.75rem, 0.7295rem + 0.0909vw, 0.875rem);
}

ul.breadcrumb li + li:before {
  content: '|';
  padding: 0.5rem;
  color: var(--blue);
}

ul.breadcrumb li a {
  color: var(--black200);
  text-decoration: none;
}

ul.breadcrumb li a:active {
  font-weight: bold;
}

/* Figure / Picture ---------------------------------------------------------------------------- */

figure,
picture {
  padding: 1rem;
  background-color: var(--white100);
  border: 1px solid var(--white200);
  border-radius: 10px;
  box-shadow: var(--bs01);
}

figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

/* Reusables classes --------------------------------------------------------------------------- */

section,
main {
  margin-block: clamp(4rem, 3.1818rem + 3.6364vw, 9rem);
}

.xl,
.lg,
.md,
.sm {
  inline-size: min(90%, 2000px);
  margin-inline: auto;
}

.lg {
  width: min(90%, 1600px);
}

.md {
  width: min(90%, 1400px);
}

.sm {
  width: min(90%, 1100px);
}

.grid,
.grid01 {
  width: 100%;
  margin-inline: auto;

  display: grid;
  align-items: center;
  grid-template-columns: 2fr 1fr;
  gap: clamp(2rem, 1.5091rem + 2.1818vw, 5rem);
}

.grid01 {
  grid-template-columns: 1fr 2fr;
}

.grid02 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 2rem;

  justify-content: center;
}

/* Referenzen ---------------------------------------------------- */

.grid03 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(275px, 1fr));
  gap: 1rem;
}

.grid03 .grid-item {
  min-height: 250px;
  padding: 2rem;
  border: 1px solid var(--white200);
  border-radius: 10px;
  box-shadow: var(--bs01);
  text-align: center;

  display: grid;
  grid-template-rows: 1fr auto;
  justify-items: center;
  align-items: center;
}

.grid-info small {
  display: block;
}

.grid-info small.bold {
  font-weight: bold;
}

.grid03 .grid-item .grid-img img {
  width: 65%;
  margin-inline: auto;
  aspect-ratio: 3/2;
  object-fit: contain;
}

/* Columns & Title ----------------------------------------------- */

.col {
  columns: 2 350px;
  column-gap: 4rem;
}

.col .title {
  column-span: all;
}

.col02 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.title {
  margin-block-end: clamp(1rem, 0.8364rem + 0.7273vw, 2rem);
}

.title p {
  width: min(100%, 1100px);
}

.title-top {
  margin-block-end: 0.5rem;
  font-family: var(--ff-heading);
  font-weight: 200;
  text-transform: uppercase;
  letter-spacing: 0.25em;
  color: var(--blue);
}

/* Impressum, Datenschutz ---------------------------------------------------------------------- */

.daten p,
.daten .list,
.daten address {
  width: 90%;
  margin: clamp(1rem, 0.8364rem + 0.7273vw, 2rem) auto;
}

/* Adresse ------------------------------------------------------- */

.address {
  margin-block-end: 0.25rem;

  display: flex;
  align-items: center;
  gap: 1rem;
}

.address img {
  width: 25px;
  height: 25px;
}

/* Buttons ------------------------------------------------------------------------------------- */

.btn {
  margin-block-start: 1rem;
  padding: 0.5rem 1rem;
  font-weight: 500;
  color: var(--white100);
  background-color: var(--black200);
  border-radius: 5px;
  transition: all 0.2s ease-in-out;

  display: inline-block;
}

/* Tags ---------------------------------------------------------------------------------------- */

.tags {
  width: 90%;
  margin-block: 2rem;

  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.5rem;
}

.tag {
  padding: 0.5rem 1rem;
  border: 1px solid var(--white200);
  border-radius: 5px;
  box-shadow: var(--bs01);
}

/* Accordion : FAQ ----------------------------------------------------------------------------- */

.faq-wrapper {
  width: min(100%, 1500px);
  margin-inline: auto;
  margin-block-start: 4rem;

  columns: 2 350px;
  column-fill: balance;
  column-gap: 2rem;
}

.acc {
  margin-block-end: 2rem;
  padding: clamp(1rem, 0.7545rem + 1.0909vw, 2.5rem);
  border: 1px solid var(--white200);
  border-radius: 5px;
  box-shadow: var(--bs01);

  break-inside: avoid;
}

.acc:first-of-type {
  margin-block-start: 0;
}

.acc-heading {
  margin-block-end: 2rem;
}

.acc input {
  display: none;
}

.acc label {
  margin-block-end: 0.5rem;
  padding: 0.5rem 1rem;
  font-size: clamp(0.8125rem, 0.792rem + 0.0909vw, 0.9375rem);
  background-color: var(--white200);
  border-radius: 5px;
  cursor: pointer;
  position: relative;

  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
}

.acc label img {
  width: 15px;
  height: 15px;
  transition: transform 0.2s ease-in-out;
}

.acc .content {
  width: 95%;
  margin-inline: auto;
  padding-block-start: 0.5rem;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-in-out;
}

.acc .content p,
.acc .content li {
  font-size: clamp(0.8125rem, 0.792rem + 0.0909vw, 0.9375rem);
}

.acc input:checked ~ .content {
  max-height: 1000px;
}

.acc input:checked + label img {
  transform: rotate(45deg);
}

.acc h3 {
  margin-block-end: 0;
}

/* Call to Action Banner ----------------------------------------------------------------------- */

.cta-banner {
  padding: 4rem;
  border-radius: 10px;
  box-shadow: var(--bs01);

  display: flex;
}

.cta-banner h2 {
  margin: 0;
}

.cta-banner-anfrage {
  display: flex;
  flex: 1;
  flex-wrap: wrap;
  align-items: center;
  justify-content: end;
  gap: 2rem;
}

.cta-banner-anfrage .btn {
  margin: 0;
}

/* Banner : Homepage --------------------------------------------------------------------------- */

.banner-wrapper {
  max-width: 1400px;
  margin-inline: auto;
  padding-inline: 1rem;

  display: grid;
  grid-template-columns: 1fr 1.25fr;
  align-items: center;
  gap: clamp(0rem, -0.327rem + 1.455vw, 2rem);
}

/* Header & Navigation ------------------------------------------------------------------------- */

header {
  padding: 1rem;
  background-color: var(--yellow100);

  position: sticky;
  top: 0;
  left: 0;
  z-index: 666;
}

header .mainNav {
  display: flex;
  align-items: end;
  gap: 2rem;
}

.logo svg {
  width: 7.5rem;
  height: 5rem;
  fill: var(--white100);
}

.nav ul {
  display: flex;
  align-items: center;
  gap: 1.5rem;
}

.nav02 a {
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 39px;
}

.close,
.menu,
.nav p {
  cursor: pointer;
  display: none;

  background-color: transparent;
  border: none;
}

.nav03 {
  display: none;
}

.close {
  position: absolute;
  top: 1.5rem;
  right: 1.1rem;
}

/* Hero : Home --------------------------------------------------------------------------------- */

.hero-wrapper {
  padding: clamp(0.5rem, 0.418rem + 0.364vw, 1rem) clamp(0.5rem, 0.418rem + 0.364vw, 1rem) 0;
  display: grid;
  grid-template-columns: minmax(500px, 30%) auto;
}

.hero-img {
  height: clamp(18.75rem, 14.6591rem + 18.1818vw, 43.75rem);
  background: url(../images/homepage/index.webp) no-repeat top 45% left 2.5% / cover;

  position: relative;
}

.hero-img-ob {
  width: 7.5rem;
  height: 100%;
  background-color: var(--black100);
  clip-path: polygon(0 0, 0 100%, 60% 100%);

  position: absolute;
  left: 0;
  bottom: 0;
}

.hero-text {
  grid-area: 1 / 1;
  padding-inline: 3rem 1.5rem;
  background-color: var(--black100);
  color: var(--white100);

  display: flex;
  flex-direction: column;
  justify-content: center;
}

.hero-text h1 {
  font-size: clamp(3.125rem, 2.8182rem + 1.3636vw, 5rem);
  color: var(--white100);
}

.hero-info {
  margin-block-end: 1rem;
}

.hero-icon {
  line-height: 50px;
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

/* Subpages : Event-Catering, Messe-Catering, Private Anlasse ---------------------------------- */

.subpage-hero {
  margin-block: clamp(2rem, 1.673rem + 1.455vw, 4rem);
}

.subpage-hero-img {
  width: 100%;
  margin-inline: auto;
  height: clamp(18.75rem, 15.1091rem + 16.1818vw, 41rem);
}

.event-img {
  background: url(../images/eventcat/event02.webp) no-repeat center/cover;
}

.messe-img {
  background: url(../images/homepage/messe04.webp) no-repeat bottom/cover;
}

.private-img {
  background: url(../images/privatecat/private03.webp) no-repeat center/cover;
}

/* Events : Home ------------------------------------------------------------------------------- */

.events {
  width: 95%;
  margin-inline: auto;
}

.event {
  margin-block-end: 2rem;
  padding: clamp(1rem, 0.8364rem + 0.7273vw, 2rem);
  border: 1px solid var(--white200);
  border-radius: 10px;
  box-shadow: var(--bs01);

  display: grid;
  grid-template-columns: 40% 60%;
  grid-template-areas: 'info image';
}

.reverse {
  grid-template-columns: 60% 40%;
  grid-template-areas: 'image info';
}

.event-info {
  padding: clamp(0rem, -0.6545rem + 2.9091vw, 4rem);

  display: grid;
  align-items: center;
}

.event-info h2 {
  margin-block-end: 1rem;
}

.event-image,
.messe-image,
.private-image {
  grid-area: image;
  min-height: 200px;
  background: url(../images/homepage/event01.webp) no-repeat center/cover;
}

.messe-image {
  background: url(../images/homepage/messe01.webp) no-repeat center/cover;
}

.private-image {
  background: url(../images/homepage/private01.webp) no-repeat center/cover;
}

/* Services : Private Catering, Home & Services ------------------------------------------------ */

.services h2 {
  text-align: center;
  margin-block-end: 2rem;
}

.service-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(100%, 350px), 1fr));
  gap: 2rem;
}

.service-title {
  margin-block-end: 2rem;

  display: flex;
  align-items: center;
  gap: 1rem;
}

.services .title p {
  margin: 0;
}

.service-title h3 {
  margin-block-end: 0;
}

.service-item {
  padding: clamp(1rem, 0.5909rem + 1.8182vw, 3.5rem);
  border: 1px solid var(--white200);
  border-radius: 10px;
  box-shadow: var(--bs01);
}

.service-item01 {
  padding: clamp(1rem, 0.8364rem + 0.7273vw, 2rem);
  border: 1px solid var(--white200);
  border-radius: 10px;
  box-shadow: var(--bs01);
}

.service-item01 h2,
.service-item01 h3 {
  margin-block: 1.5rem;
}

.service-item p:last-child,
.service-item01 p:last-child {
  margin-block-end: 0;
}

.service-item01-img img {
  width: 100%;
  max-height: 300px;
  object-fit: cover;
}

/* Contactform --------------------------------------------------------------------------------- */

.kontakt-boxes p {
  margin: 0;
}

.kontakt-boxes {
  display: grid;
  grid-template-columns: 250px 1fr 250px;
  gap: 2rem;

  grid-template-areas:
    'anschrift form email'
    'telefon form soziale'
    '. form .';
}

.kontakt-box,
form {
  padding: 2rem;
  background-color: var(--white100);
  border: 1px solid var(--white200);
  border-radius: 10px;
  box-shadow: var(--bs01);
}

.mail_pot {
  position: absolute !important;
  left: -9999px !important;
  top: -9999px !important;
  width: 1px !important;
  height: 1px !important;
  overflow: hidden !important;
  opacity: 0 !important;
}

.anschrift {
  grid-area: anschrift;
}

.email {
  grid-area: email;
}

.soziale {
  grid-area: soziale;
}

form {
  grid-area: form;

  display: flex;
  flex-direction: column;
  flex: 1;
}

.rows {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}

.row {
  margin-bottom: 2rem;

  display: flex;
  flex-direction: column;
  flex: 1;

  position: relative;
}

label {
  margin-block-end: 0.5rem;
}

span.req {
  color: var(--yellow100);
}

input,
textarea {
  padding: 1rem;
  border: 1px solid var(--white200);
  border-radius: 3px;
  outline: 0;
}

textarea {
  min-height: 100px;
  resize: vertical;
}

input[type='submit'] {
  margin-block-start: 1rem;
  color: var(--white100);
  background-color: var(--black200);
  cursor: pointer;
}

.err,
.success {
  width: 100%;
  margin-block-start: 0.25rem;
  padding-inline: 0.5rem;
  font-size: 0.875rem;
  color: var(--yellow100);

  position: absolute;
  top: 100%;
  left: 0;
}

.success {
  margin-block-start: 1rem;
  padding-inline: 0;
  text-align: center;
}

/* Footer -------------------------------------------------------------------------------------- */

footer {
  background-color: var(--yellow100);
}

.footer-wrapper {
  display: grid;
  grid-template-columns: 2fr repeat(3, 1fr);
  gap: 2rem;

  padding: 4rem clamp(0.5rem, 0.4182rem + 0.3636vw, 1rem) 2.5rem;
  border-bottom: 1px dashed var(--yellow200);
}

.footer-wrapper svg {
  margin-block-end: 1.5rem;
}

.footer-wrapper .links {
  justify-self: center;
  margin-block-start: 2rem;
}

.footer-wrapper li {
  margin-block-start: 0.5rem;
}

footer .links p {
  margin-block: 0;
  font-size: clamp(1.1rem, 0.918rem + 0.364vw, 1.5rem);
  letter-spacing: -1px;
  font-weight: 700;
}

.copyright {
  padding: 1.5rem clamp(0.5rem, 0.4182rem + 0.3636vw, 1rem);
  font-size: 0.8125rem;

  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.copy {
  margin-inline-end: 2rem;
}

/* MediaQueries [ 1250px ] --------------------------------------------------------------------- */

@media (width < 1250px) {
  .grid,
  .grid01 {
    grid-template-columns: repeat(2, 1fr);
    align-items: start;
    gap: 3rem;
  }

  .cta-banner {
    padding: 4rem 0;
    text-align: center;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
  }

  .cta-banner-anfrage {
    justify-content: center;
    gap: 1rem;
  }
}

/* MediaQueries [ 1100px ] --------------------------------------------------------------------- */

@media (width < 1100px) {
  /* Header & Navigation ----------------------------------------------------------------------- */

  header {
    padding: 0 0.5rem;
  }

  .logo svg {
    width: 5rem;
  }

  header .mainNav {
    justify-content: space-between;
    align-items: center;
  }

  .mainNav .menuList {
    width: 100%;
    height: 100vh;
    padding-inline: 3rem;
    background-color: var(--yellow100);
    transition: left 0.2s ease;

    position: fixed;
    top: 0;
    left: -100%;

    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .nav ul {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 0.5rem;
  }

  .nav ul {
    padding-block: 1rem;
  }

  .nav p {
    width: 100%;
    padding-block-end: 0.5rem;
    margin-block-end: 0;
    font-size: 1.25rem;
    font-weight: 700;
    letter-spacing: 0.05em;
    border-bottom: 1px dashed var(--yellow200);
  }

  .nav a {
    font-size: 1rem;
    font-weight: 300;
    line-height: 1.8;
  }

  .nav a.active {
    font-weight: 700;
  }

  .close,
  .menu,
  .nav p,
  .nav03 {
    display: block;
  }

  header.showMenu::before {
    content: '';
    width: 100%;
    height: 100vh;
    backdrop-filter: blur(2px);

    position: fixed;
    top: 0;
    left: 0;
  }

  header.showMenu .mainNav .menuList {
    left: 0;
  }

  ul.breadcrumb {
    top: 3.33rem;
  }

  /* Hero -------------------------------------------------------------------------------------- */

  .hero-wrapper {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr auto;
  }

  .hero-text {
    grid-area: 2 / 1;
    padding: 3rem 1rem;
    text-align: end;
  }

  .hero-text p {
    align-self: end;
  }

  .hero-icon {
    align-self: end;
  }

  .hero-img-ob {
    width: 100%;
    clip-path: polygon(100% 100%, 100% 85%, 0% 100%);

    bottom: -1px;
  }

  .event {
    grid-template-columns: 1fr;
    grid-template-areas:
      'image'
      'info';
  }

  /* Contactform ------------------------------------------------------------------------------- */

  .kontakt-boxes {
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:
      'anschrift telefon'
      'email soziale'
      'form form';
  }

  .kontakt-box,
  form {
    padding: 2rem 1rem;
  }

  /* Banner ------------------------------------------------------------------------------------ */

  .banner-wrapper {
    width: 95%;
    margin-inline: auto;
    grid-template-columns: 1fr;
  }

  /* Footer ------------------------------------------------------------------------------------ */

  .footer-wrapper {
    padding-top: 2rem;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }

  .footer-wrapper svg {
    margin-block-end: 1rem;
  }

  .info {
    grid-area: 1 / span 3;
  }

  .footer-wrapper .links {
    justify-self: start;
  }

  footer .links:last-of-type {
    grid-area: 3 / span 2;
  }

  .webinfo-flex {
    display: flex;
    gap: 1rem;
  }
}

/* MediaQueries [ 750px ] ---------------------------------------------------------------------- */

@media (width < 750px) {
  .grid,
  .grid01 {
    grid-template-columns: 1fr;
  }

  .grid {
    grid-template-areas: 'image' 'text';
  }

  .image {
    grid-area: image;
  }

  .services h2 {
    text-align: start;
  }

  input,
  textarea {
    padding: 0.5rem;
  }

  .kontakt-boxes {
    grid-template-columns: 1fr;
    grid-template-areas:
      'form'
      'anschrift'
      'telefon'
      'email'
      'soziale';
  }
}

/* MediaQueries [ 560px ] ---------------------------------------------------------------------- */

@media (width < 560px) {
  .rows {
    gap: 0;
  }
}
